Bug 590104 - installroot rpmdb errors from livecd-tools
installroot rpmdb errors from livecd-tools
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: livecd-tools (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Brian Lane
Release Test Team
: Reopened
Depends On:
Blocks: 705163
  Show dependency treegraph
 
Reported: 2010-05-07 14:07 EDT by Dennis Gregorovic
Modified: 2013-12-18 17:47 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-18 17:47:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gregorovic 2010-05-07 14:07:20 EDT
livecd-tools-031-1.7.el6

After installing the chroot, there's a bunch of these errors:

rpmdb: Build signature doesn't match environment
error: db3 error(-30971) from dbenv->open: DB_VERSION_MISMATCH: Database environment version mismatch
error: cannot open Packages database in /var/lib/rpm

In the install method of creator.py, you probably want to do this at the end:

for path in glob.glob('%s/var/lib/rpm/__db*' % self._instroot):
    os.unlink(path)
Comment 1 RHEL Product and Program Management 2010-05-07 14:50:59 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Alan Pevec 2010-07-06 08:50:29 EDT
Workaround could be to put this in RHEL6 livecd kickstart %post:

# cleanup rpmdb to allow non-matching host and chroot RPM versions
rm -f /var/lib/rpm/__db*
Comment 5 RHEL Product and Program Management 2011-01-07 10:59:10 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 7 Brian Lane 2011-06-13 16:04:37 EDT
Are these errors from livecd-creator? Or after booting the image? We are already calling _cleanupRpmdbLocks at the end of ayum.runInstall() so there should not be any of these files on the target image. I checked a F15 minimal iso I just created and /var/lib/rpm/ doesn't have any __db* files in it.
Comment 8 David Cantrell 2011-07-25 16:10:56 EDT
We can't reproduce this problem, closing it out.

Note You need to log in before you can comment on or make changes to this bug.